%define module Gtk2-Html2
%define fmodule Html2

Summary: Perl module for the gtkhtml2 library
Name:    perl-%module
Version: 0.04
Release: %mkrel 17
License: GPL or Artistic
Group:   Development/GNOME and GTK+
Url: http://gtk2-perl.sf.net/
Source0: %module-%version.tar.bz2
Patch0:  Gtk2-Html2-0.04-fix-example.patch

BuildRequires: gtkhtml2-devel => 2.4
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils-Depends
BuildRequires: perl-Gtk2 >= 1.083-2mdk
BuildRequires: perl-ExtUtils-PkgConfig

Requires: perl-Gtk2 

%description
This package adds perl support for GtkHTML2.

%prep
%setup -q -n %module-%version
%patch0 -p0
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc examples/*
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.04-17.mga3
+ Revision: 367877
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.04-16.mga3
+ Revision: 250722
- rebuild for perl 5.16

* Sun Aug 28 2011 fwang <fwang> 0.04-15.mga2
+ Revision: 135822
- rebuild
- use system ldflags

* Sun Jun 12 2011 ahmad <ahmad> 0.04-13.mga2
+ Revision: 104454
- Rebuild for perl-5.14.0

* Mon Jan 24 2011 jquelin <jquelin> 0.04-12.mga1
+ Revision: 36316
- mageia rebuild
- fix buildrequires list
- mageia rebuild
- imported package perl-Gtk2-Html2

